Bug 537431 - (mono-bouncycastle) Review Request: mono-bouncycastle - Bouncy Castle Crypto Package for Mono
Review Request: mono-bouncycastle - Bouncy Castle Crypto Package for Mono
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: itextsharp
  Show dependency treegraph
 
Reported: 2009-11-13 11:01 EST by Kalev Lember
Modified: 2009-12-04 18:54 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.5-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 18:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
thomasj: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2009-11-13 11:01:27 EST
Spec URL: http://kalev.fedorapeople.org/mono-bouncycastle.spec
SRPM URL: http://kalev.fedorapeople.org/mono-bouncycastle-1.5-1.fc12.src.rpm
Description:
The Bouncy Castle Crypto package is a C# implementation of cryptographic
algorithms. It is a port of the Bouncy Castle Java APIs, with
approximately 80% of the functionality ported. The C# API is constantly
kept uptodate with bug fixes and new test cases from the Java build
(and vice versa sometimes), thus benefitting from the large user base
and real-world use the Java version has seen.
Comment 1 Kalev Lember 2009-11-13 11:09:40 EST
About naming:
There is already bouncycastle Java package [1] in Fedora, which is why I used "bouncycastle" as part of the name. Another option would have been "bccrypto" (from upstream zip file name). There doesn't seem to be any official guidelines about Mono package names, so I chose to prefix it with mono-, resulting in mono-bouncycastle.

I'm CC-ing the Java package maintainer in case he has some suggestions about naming / packaging of this library.

[1] https://admin.fedoraproject.org/pkgdb/packages/name/bouncycastle
Comment 2 Kalev Lember 2009-11-29 07:32:06 EST
Scratch build (for F-12, since nant in rawhide is currently broken wrt bug 538908):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1836123
Comment 3 Kalev Lember 2009-12-01 16:46:18 EST
* Tue Dec 01 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-2
- Use the system mono.snk key instead of regenerating on every build

Spec URL: http://kalev.fedorapeople.org/mono-bouncycastle.spec
SRPM URL: http://kalev.fedorapeople.org/mono-bouncycastle-1.5-2.fc13.src.rpm

Scratch build for rawhide now that nant is working again:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1842242
Comment 4 Kalev Lember 2009-12-02 06:27:13 EST
* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-3
- Temporarily bundle mono.snk with this package to fix build on < F-13

Spec URL: http://kalev.fedorapeople.org/mono-bouncycastle.spec
SRPM URL: http://kalev.fedorapeople.org/mono-bouncycastle-1.5-3.fc13.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1843092
Comment 5 Thomas Janssen 2009-12-02 14:03:04 EST
+ rpmlint is fine for a mono package. The permission is needed to run the
script.

rpmlint rpmbuild/RPMS/x86_64/mono-bouncycastle-1.5-3.fc11.x86_64.rpm
srpm-review-test/mono-bouncycastle-1.5-3.fc13.src.rpm
mono-bouncycastle.x86_64: E: no-binary
mono-bouncycastle.x86_64: W: only-non-binary-in-usr-lib
mono-bouncycastle.src: W: strange-permission bccrypto-generate-zip.sh 0755
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

+ The package must be named according to the Package Naming Guidelines .
+ The spec file match the base package %{name}, in the format %{name}.spec
unless your package has an exemption.
+ The package meets the Packaging Guidelines.
+ The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
! The License field in the package spec file must match the actual license.

Part of the source states: Apache Software License 1.1 (ASL 1.1)
The Webpage says: MIT X11

Change the license to: MIT with ASL 1.1 

+ The spec file is written in American English.
+ The spec file is legible.
+ The sources used to build the package must match the upstream source, as
provided in the spec URL.
md5 d400421918c0c20f2f53fa003e25eb11

+ It compiles
+ ExcludeArch done.
+ BuildRequires listed.
+ Packages must NOT bundle copies of system libraries.
+ Package owns all directories that it creates.
+ Permissions are set properly.
+ %clean section
+ Macros usage
+ The package must contain code, or permissable content.
+ %doc handling
+ At the beginning of %install, each package MUST run rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).

Package will be approved after you corrected the license field.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Kalev Lember 2009-12-02 14:41:27 EST
Thanks for the review, Thomas!

My main reason for packaging bouncycastle was to get iTextSharp [1] included in Fedora. However, ASL 1.1 would make those two libraries incompatible. I sent a mail [2] to bouncycastle csharp development mailing list, asking if it would be possible to relicense the ASL 1.1 bits under ASL 2.0 instead.

Anyway, this doesn't prevent from completing mono-bouncycastle review. According to Licensing Guidelines [3], separator between multiple licenses should be 'and', so I changed the License tag to read 'MIT and ASL 1.1'.

Spec URL: http://kalev.fedorapeople.org/mono-bouncycastle.spec
SRPM URL: http://kalev.fedorapeople.org/mono-bouncycastle-1.5-4.fc13.src.rpm


[1] https://bugzilla.redhat.com/show_bug.cgi?id=537437
[2] http://www.bouncycastle.org/csharpdevmailarchive/msg00370.html
[3] http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios
Comment 7 Thomas Janssen 2009-12-02 15:12:10 EST
*Approved*

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Kalev Lember 2009-12-02 15:43:25 EST
New Package CVS Request
=======================
Package Name: mono-bouncycastle
Short Description: Bouncy Castle Crypto Package for Mono
Owners: kalev
Branches: F-11 F-12
InitialCC:
Comment 9 Kevin Fenzi 2009-12-03 01:39:30 EST
cvs done.
Comment 10 Fedora Update System 2009-12-03 04:49:35 EST
mono-bouncycastle-1.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mono-bouncycastle-1.5-4.fc12
Comment 11 Fedora Update System 2009-12-03 04:50:22 EST
mono-bouncycastle-1.5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mono-bouncycastle-1.5-4.fc11
Comment 12 Fedora Update System 2009-12-04 18:37:39 EST
mono-bouncycastle-1.5-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-12-04 18:54:45 EST
mono-bouncycastle-1.5-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.